
#include	"defs.h"
#include	"he386.h"

#include	"midilib.c"
#include	"gm.c"
#include	"gs.c"
#ifdef		_SC55DISP
#include	"sc55disp.c"
#endif
#ifdef		_GMEGA
#	include	"gmega.c"
#endif
#ifdef		_TG300
#	include	"tg300.c"
#endif

int		HE386_start( char *sqr )
{
	GM_macroInit(sqr);	/* GM macro			*/
	GS_macroInit(sqr);	/* GS(SC-55) macro	*/

#ifdef	_SC55DISP
	SC55disp_macroInit( sqr );
#endif
#ifdef		_GMEGA
	GMega_macroInit(sqr);
#endif
#ifdef		_TG300
	TG300_macroInit(sqr);
#endif

	return (0);
}
